//----
// Fx
//----

textures/ut4_chuck_b1/matrix
{
    qer_editorimage textures/ut4_chuck_b1/matrix.tga
    q3map_globaltexture
    {
        map textures/ut4_chuck_b1/beam_multi.tga
        rgbGen identity
        tcMod scale 1 0.25
        tcMod scroll 0 -0.3
    }
    {
        map $lightmap
        blendfunc add
        rgbGen const ( 0.3 0.3 0.3 )
        tcGen lightmap
    }
    {
        map textures/ut4_chuck_b1/beam_single.tga
        blendfunc add
        rgbGen identity
        tcMod scroll 0 -0.1
    }
    {
        map textures/ut4_chuck_b1/beam_single.tga
        blendfunc add
        rgbGen identity
        tcMod scale -1 1
        tcMod scroll 0 -0.1
    }
    {
        map textures/ut4_chuck_b1/chars_all.tga
        blendfunc filter
        rgbGen identity
    }
    {
        animmap 1 textures/ut4_chuck_b1/chars_1.tga textures/ut4_chuck_b1/chars_2.tga textures/ut4_chuck_b1/chars_3.tga textures/ut4_chuck_b1/chars_4.tga
        blendfunc add
        rgbGen wave inversesawtooth 0 1 0 1
    }
    {
        animmap 2 textures/ut4_chuck_b1/chars_3.tga textures/ut4_chuck_b1/chars_4.tga textures/ut4_chuck_b1/chars_4.tga textures/ut4_chuck_b1/chars_1.tga textures/ut4_chuck_b1/chars_1.tga textures/ut4_chuck_b1/chars_2.tga textures/ut4_chuck_b1/chars_3.tga
        blendfunc add
        rgbGen wave inversesawtooth 0 1 0.5 1
    }
}

textures/ut4_chuck_b1/evil_alien
{
    qer_editorimage textures/ut4_chuck_b1/evil_alien.tga
    //q3map_surfacelight ?
    {
        map textures/ut4_chuck_b1/evil_alien.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_b1/floor_alienblend.tga
        rgbgen wave sin .9 .9 0 .4
        blendfunc add
    }
}

//--------
// Lights
//--------

//-----------------------
// Fix for Light entities
//-----------------------

textures/ut4_chuck_b1/bright_light
{
    qer_editor_image textures/ut4_chuck_b1/bright_light.tga
    surfaceparm nodamage
    surfaceparm nomarks
    {
        map textures/ut4_chuck_b1/bright_light.tga
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/ut4_chuck_b1/e6mtltpnl_light
{
    qer_editorimage textures/ut4_chuck_b1/e6mtltpnl_light.tga
    //q3map_surfacelight ?
    surfaceparm nomarks
    {
        map textures/ut4_chuck_b1/e6mtltpnl_light.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_b1/e6mtltpnl_light_blend.tga
        blendfunc add
    }
    {
        map textures/ut4_chuck_b1/e6mtltpnl_light_fx.tga
        tcmod scroll .2 1
        blendfunc add
    }
}

textures/ut4_chuck_b1/e6horzlight
{
    qer_editorimage textures/ut4_chuck_b1/e6horzlight.tga
    //q3map_surfacelight ?
    surfaceparm nomarks
    {
        map textures/ut4_chuck_b1/e6horzlight.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_b1/e6horzlight_blend.tga
        blendfunc add
    }
}

textures/ut4_chuck_b1/e6v_light
{
    qer_editorimage textures/ut4_chuck_b1/e6v_light.tga
    //q3map_surfacelight ?
    surfaceparm nomarks

    {
        map textures/ut4_chuck_b1/e6v_light.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_b1/e6v_light_blend.tga
        blendfunc add
    }
}

textures/ut4_chuck_b1/e6platelight
{
    qer_editorimage textures/ut4_chuck_b1/e6platelight.tga
    //q3map_surfacelight ?
    surfaceparm nomarks
    {
        map textures/ut4_chuck_b1/e6platelight.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_b1/e6platelight_blend.tga
        blendfunc add
    }
}

textures/ut4_chuck_b1/g_lightbeam_glow
{
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm nomipmaps
    cull none
    {
        map textures/ut4_chuck_b1/g_lightbeam_glow.tga
        tcMod Scroll .3 0
        blendFunc add
    }
}

textures/ut4_chuck_b1/g_lightbeam
{
    qer_editorimage textures/ut4_chuck_b1/g_lightbeam.tga
    q3map_surfacelight 50
    surfaceparm nomarks
    {
        map textures/ut4_chuck_b1/g_lightbeam.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
    {
        map textures/ut4_chuck_b1/g_lightbeam_glow.tga
        blendfunc add
    }
}

//--------
// Asphalt
//--------

textures/ut4_chuck_b1/asphalt
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/asphalt.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/asphalt_1
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/asphalt_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/asphalt_2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/asphalt_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/asphalt_side
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/asphalt_side.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//------
// Trim
//------

textures/ut4_chuck_b1/e7bmtrim 
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7bmtrim.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7bmtrim2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7bmtrim2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e8support06b
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e8support06b.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//-----------
// Floor
//-----------

textures/ut4_chuck_b1/floor_1
{
    qer_editorimage textures/ut4_chuck_b1/floor_1.tga
    {
        map textures/ut4_chuck_b1/floor_1.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/ut4_chuck_b1/e7dimfloor
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7dimfloor.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7dimfloor_ow
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7dimfloor_ow.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7sbrickfloor
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7sbrickfloor.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7sbrickfloor_ow
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7sbrickfloor_ow.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7sbrickfloorbig
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7sbrickfloorbig.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//-----------------
// General textures
//-----------------

textures/ut4_chuck_b1/cemold
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/cemold.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/black
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/black.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/orange
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/orange.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/mate
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/mate.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/green
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/green.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/bright_green
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/bright_green.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/drkmtl_mpanelgrt
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/drkmtl_mpanelgrt.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7bricks01
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7bricks01.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/block1_1
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/block1_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e7walldesign01b
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e7walldesign01b.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e6basegrate
{
	qer_editorimage textures/ut4_chuck_b1/e6basegrate.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_b1/e6basegrate.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/e6basegrt_smll
{
	qer_editorimage textures/ut4_chuck_b1/e6basegrt_smll.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_b1/e6basegrt_smll.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/e6simpwallsupp
{
	qer_editorimage textures/ut4_chuck_b1/e6simpwallsupp.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_b1/e6simpwallsupp.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/e8_mtlwall1b
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e8_mtlwall1b.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/stuccometdrk
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/stuccometdrk.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/e6indsdoor
{
	qer_editorimage textures/ut4_chuck_b1/e6indsdoor.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
    cull none
	{
		map textures/ut4_chuck_b1/e6indsdoor.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/mrc4_grate_02
{
	qer_editorimage textures/ut4_chuck_b1/mrc4_grate_02.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_b1/mrc4_grate_02.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/mrc_rust
{
	qer_editorimage textures/ut4_chuck_b1/mrc_rust.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_b1/mrc_rust.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/mrc4_rust02
{
	qer_editorimage textures/ut4_chuck_b1/mrc4_rust02.tga
	surfaceparm trans
    surfaceparm nomarks
    surfaceparm metalsteps
	{
		map textures/ut4_chuck_b1/mrc4_rust02.tga
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
        depthfunc equal
        blendfunc filter
	}
}

textures/ut4_chuck_b1/e8_mtlwall3
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/e8_mtlwall3.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/floor5_2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/floor5_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/mat5c
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/mat5c.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/flr_b-w
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/flr_b-w.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/flr_b-w_drty
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/flr_b-w_drty.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/flr_b-w_drty_bld
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/flr_b-w_drty_bld.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}


textures/ut4_chuck_b1/flr_b-w_drty_bld2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/flr_b-w_drty_bld2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/fun_logo
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/fun_logo.jpg
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/nizarin_logo
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/nizarin_logo.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/fallin_logo
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/fallin_logo.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/grom
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/grom.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/sg_banner
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/sg_banner.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/sachka
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/sachka.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/sachka_2
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/sachka.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/urt_banner
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/urt_banner.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/urban_zone_league
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/urban_zone_league.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/spunky
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/spunky.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/grey
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/grey.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/ut4_chuck_b1/elsa
{
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_chuck_b1/elsa.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

//-------
// Common
//-------

textures/ut4_chuck_b1/ladderclip
{
        qer_trans 0.40
        qer_editor_image textures/ut4_chuck_b1/ladderclip.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

//-----
// Sky
//-----

textures/ut4_chuck_b1/sky
{
    qer_editorimage textures/ut4_chuck_b1/sky.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightsubdivide 256
    surfaceparm sky
    q3map_surfacelight 50
    q3map_sun 1 1 1 100 250 90
    q3map_lightimage textures/ut4_chuck_b1/clouds_blank_light.tga 
    skyparms env/ut4_chuck_b1/solarized/black 720 -
    {
        map textures/ut4_chuck_b1/clouds_dark.tga
        tcMod scale 3 2
        tcMod scroll 0.01 0.01
        depthWrite
    }
}
